package BottleRocket;

use strict;
use vars qw($VERSION @ISA @EXPORT @EXPORT_OK);

require Exporter;
require DynaLoader;
require AutoLoader;

@ISA = qw(Exporter DynaLoader);
# Items to export into callers namespace by default. Note: do not export
# names by default without a very good reason. Use EXPORT_OK instead.
# Do not simply export all your public functions/methods/constants.
@EXPORT = qw(
	
);
$VERSION = '0.02';

bootstrap BottleRocket $VERSION;

# Preloaded methods go here.

# Autoload methods go after =cut, and are processed by the autosplit program.

1;
__END__

=head1 NAME

BottleRocket - Perl extension for controlling X10 Firecracker kits.

=head1 SYNOPSIS

  use BottleRocket;
  BottleRocket::x10_cmd(FILEHANDLE, DEVICE_IDS, COMMAND);

=head1 DESCRIPTION

This is version 0.02 of the BottleRocket perl module.  Usage is
straightforward:  use open to get a filehandle to the device controlling the
FireCracker and call x10_cmd with the filehandle, the IDs of the devices to
control (e.g. A10) and the command you want to execute (e.g. "ON").  Note 
that for a DEVICE_ID, only "ON" and "OFF" take a numeric part; the rest
just take the housecode (letter) of the devices to operate upon, as the
protocol does not include the ability to address a specific device with these
commands ("DIM" and "BRIGHT" will affect the last device that was issued 
an "ON" command).


example:


use BottleRocket;

open(FH, "/dev/cua0");
BottleRocket::x10_cmd(FH, "A10", "ON");
BottleRocket::x10_cmd(FH, "A10", "DIM");
BottleRocket::x10_cmd(FH, "B6,5,3,2", "OFF");
close(FH);


This will turn on the device whose address is A10 and dim it one notch 
(assuming it's plugged into a lamp module), and then turn off devices
with id's B6, B5, B3 and B2.  Note that you can only specify one house
code per call to x10_cmd.

Valid commands are:  ON, OFF, DIM, BRIGHT, ALL_ON, ALL_OFF, LIGHTS_ON,
LIGHTS_OFF

Any bad command results in the module croaking, so check your arguments.

=head1 AUTHOR

Timothy Twillman, tymm@acm.org

=head1 SEE ALSO

perl(1).

=cut
